View Issue Details

IDProjectCategoryView StatusLast Update
0004492unrealircdpublic2019-07-14 18:05
ReportersyzopAssigned Toargvx 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version4.0.0-rc6 
Target VersionFixed in Version5.0.0-alpha1 
Summary0004492: make umode +T block channel CTCP's as well
DescriptionIt would be nice if user mode +T would not only block user-to-user CTCP's but also channel CTCP's. After all, if you set +T, it means you don't want to receive any CTCP's.

This would require some core changes (or at least to make it easier to implement), but the request in itself is justified IMO.

This request is similar to what 0004463 asks for with +G.
Inspired by https://github.com/unrealircd/unrealircd/pull/42

Post-4.0.0, naturally.
TagsNo tags attached.
3rd party modules

Relationships

related to 0004463 acknowledged make umode +G also censor channels 
child of 0005328 assignedargvx TODO list for 'i' 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2015-12-13 15:25 syzop New Issue
2015-12-13 15:26 syzop Relationship added related to 0004463
2015-12-13 17:22 syzop Status new => acknowledged
2019-07-08 08:46 syzop Relationship added child of 0005328
2019-07-14 18:05 argvx Assigned To => argvx
2019-07-14 18:05 argvx Status acknowledged => resolved
2019-07-14 18:05 argvx Resolution open => fixed
2019-07-14 18:05 argvx Fixed in Version => 5.0.0-alpha1